Jump to content

Cadamier

Members
  • Posts

    768
  • Joined

  • Last visited

About Cadamier

  • Birthday 05/08/1963

Personal Information

  • Biography
    I am a long time gamer - I am old as the mud on your boots! Moria on PC-XT Server w/1MB!! Owner/Operator of Ridge Line Mining Inc.
  • Location
    Winnetka, CA
  • Interests
    7 days to kill Zeds!

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

Cadamier's Achievements

Inventor

Inventor (10/15)

15

Reputation

  1. @SylenThunder OPPS! Alpha 19.6 B8 - Well - weird thing is that I've been seeing this activity for sometime now. It's almost never by the same IP. Not knowing much about networking: 2021-11-18T21:06:13 4476.275 EXC Unable to write data to the transport connection: An existing connection was forcibly closed by the remote host. . SocketException: An existing connection was forcibly closed by the remote host. Seems to tell me that the remote IP in this case "forcibly closed" an 'existing connection.' Doesn't sound good to me. Whereas this one: 2021-11-06T13:19:26 19876.621 ERR Exception in thread TelnetClient_192.241.206.206:56594: 2021-11-06T13:19:26 19876.621 EXC The operation is not allowed on non-connected sockets. InvalidOperationException: The operation is not allowed on non-connected sockets. at System.Net.Sockets.TcpClient.GetStream () [0x00036] in <ae22a4e8f83c41d69684ae7f557133d9>:0 at TelnetConnection.Close (System.Boolean kickedForLogins) [0x0001e] in <d15958ecbbfc46c3933d31eb2910c084>:0 at TelnetConnection.ThreadEnd (ThreadManager+ThreadInfo _threadInfo, System.Boolean _exitForException) [0x00000] in <d15958ecbbfc46c3933d31eb2910c084>:0 at ThreadManager.myThreadInvoke (System.Object _threadInfo) [0x000ab] in <d15958ecbbfc46c3933d31eb2910c084>:0 UnityEngine.DebugLogHandler:Internal_LogException(Exception, Object) UnityEngine.DebugLogHandler:LogException(Exception, Object) UnityEngine.Logger:LogException(Exception, Object) UnityEngine.Debug:LogException(Exception) Logger:masterLogException(Exception) Logger:Exception(Exception) Log:Exception(Exception) ThreadManager:myThreadInvoke(Object) System.Threading.QueueUserWorkItemCallback:System.Threading.IThreadPoolWorkItem.ExecuteWorkItem() System.Threading.ThreadPoolWorkQueue:Dispatch() System.Threading._ThreadPoolWaitCallback:PerformWaitCallback() (Filename: <ae22a4e8f83c41d69684ae7f557133d9> Line: 0) 2021-11-06T13:19:26 19876.622 INF Exited thread TelnetClient_192.241.206.206:56594 Seems to tell me that the connection wasn't allowed at all but they were allowed to try something. Then as in this case: 2021-11-10T15:54:34 37290.822 INF Telnet connection from: 192.35.168.112:32260 2021-11-10T15:54:34 37290.823 INF Started thread TelnetClient_192.35.168.112:32260 NOTE: I'll see the above one a lot - and if a readline exception isn't generated 'soon' I'll exit and shut down the server. That's IF I catch it. They're connected for an entire minute before another 'readline error is generated.... 2021-11-10T15:55:31 37347.807 ERR IOException in ReadLine for TelnetClient_192.35.168.112:32260: Unable to write data to the transport connection: An established connection was aborted by the software in your host machine. . 2021-11-10T15:55:31 37347.807 EXC Unable to write data to the transport connection: An established connection was aborted by the software in your host machine. . SocketException: An established connection was aborted by the software in your host machine. at System.Net.Sockets.Socket.Send (System.Byte[] buffer, System.Int32 offset, System.Int32 size, System.Net.Sockets.SocketFlags socketFlags) [0x00016] in <ae22a4e8f83c41d69684ae7f557133d9>:0 at System.Net.Sockets.NetworkStream.Write (System.Byte[] buffer, System.Int32 offset, System.Int32 size) [0x0009b] in <ae22a4e8f83c41d69684ae7f557133d9>:0 Rethrow as IOException: Unable to write data to the transport connection: An established connection was aborted by the software in your host machine. . at System.Net.Sockets.NetworkStream.Write (System.Byte[] buffer, System.Int32 offset, System.Int32 size) [0x000e2] in <ae22a4e8f83c41d69684ae7f557133d9>:0 at System.IO.Stream.WriteByte (System.Byte value) [0x0000b] in <567df3e0919241ba98db88bec4c6696f>:0 at TelnetConnection.HandlerThread (ThreadManager+ThreadInfo _tInfo) [0x001a2] in <d15958ecbbfc46c3933d31eb2910c084>:0 UnityEngine.DebugLogHandler:Internal_LogException(Exception, Object) UnityEngine.DebugLogHandler:LogException(Exception, Object) UnityEngine.Logger:LogException(Exception, Object) UnityEngine.Debug:LogException(Exception) Logger:masterLogException(Exception) Logger:Exception(Exception) Log:Exception(Exception) TelnetConnection:HandlerThread(ThreadInfo) ThreadManager:myThreadInvoke(Object) System.Threading.QueueUserWorkItemCallback:System.Threading.IThreadPoolWorkItem.ExecuteWorkItem() System.Threading.ThreadPoolWorkQueue:Dispatch() System.Threading._ThreadPoolWaitCallback:PerformWaitCallback() (Filename: <ae22a4e8f83c41d69684ae7f557133d9> Line: 0) Like I said - donno about telnet connections, but it is 'weird' in a bad way that 'people' are trying to connect; and apparently some are allowed to connect. I've no doubt that some of this would be considered 'normal' but not all of it. You have anymore info? FYI: I only scanned a few logs for the above - so I don't doubt that anyone that runs a dedi would see these in their logs if they looked. Also windows note pad doesn't seem to do the search function that well - and probably pasting to word would help in that respect. @SylenThunder Thank you for your time and effort!
  2. So does this - in the image - mean that's someone's trying to telnet into my server? At the current/image time - I was 'building the world.' I've seen it also when I am playing on it.
  3. v0.12.2 Getting this when I hit Generate world: Discarded 992 lines in POIs list: 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953,954,955,956,957,958,959,960,961,962,963,964,965,966,967,968,969,970,971,972,973,974,975,976,977,978,979,980,981,982,983,984,985,986,987,988,989,990,991,992 Generating heightmap. Generating biomes. Generating cities. Traceback (most recent call last): File "city.py", line 209, in random_poi File "rrlist.py", line 25, in get_random IndexError: list index out of range During handling of the above exception, another exception occurred: Traceback (most recent call last): File "crash_log.py", line 19, in handle_crash_log File "gui_generation.py", line 27, in generate File "ntime.py", line 11, in ntime File "world.py", line 1258, in run File "world.py", line 267, in generate File "world.py", line 534, in init_cities File "world.py", line 629, in gen_cities File "hub_factory.py", line 31, in gen_random_city File "hub_factory.py", line 62, in gen_random_hub File "city.py", line 46, in __init__ File "city.py", line 61, in generate File "city.py", line 265, in populate_grid File "city.py", line 211, in random_poi Exception: No traders POIs found.
  4. I was wrong about TA & Valmars - it was actually one of Stallionsden's mods. Anyway - I put it on the server and it spews tonnes of errors generally starting below. 2021-06-24T13:15:09 85.132 ERR Loading AssetBundle "C:/SERVICES/ni1631277_1_SHARE/ftproot/7daystodie/7DaysToDieServer_Data/../Mods\TacticalAction/Resources/alt" failed! 2021-06-24T13:15:09 85.132 ERR Model '#@modfolder(TacticalAction):Resources/alt?BeaconRPrefab' not found on block with name BeaconS 2021-06-24T13:15:09 85.132 ERR XML loader: Loading and parsing 'blocks.xml' failed 2021-06-24T13:15:09 85.132 EXC Model '#@modfolder(TacticalAction):Resources/alt?BeaconRPrefab' not found on block with name BeaconS Exception: Model '#@modfolder(TacticalAction):Resources/alt?BeaconRPrefab' not found on block with name BeaconS at BlockShapeModelEntity.PoolLoadCallback <tonnes of code> (Filename: C:\buildslave\unity\build\Runtime/Serialize/SerializedFile.cpp Line: 204) The AssetBundle 'alt' can't be loaded because it was not built with the right version or build target. Then NRE's. It comes up on the server list - and you can attempt to join but it just sits there laughing at you while your system says something like "Loading configs" lol Anyone have any luck with it on a server?
  5. @stallionsden Yes! I even moved them to start at 1550. But again the system is erroring: "ERR No loot entry defined for loot list id 1550" So it's not the ID's being in conflict, for some reason it's not reading that entire loot list. Interesting: When comparing the two loot lists I'm finding that the 'format' is totally different: Valmars: <append xpath="/lootcontainers"> <lootcontainer id="1550" count="1" size="8,9" destroy_on_close="true" sound_open="UseActions/open_backpack" sound_close="UseActions/close_backpack" open_time="1.5" loot_quality_template="qualBaseTemplate" > <item group="HunterClass" /> Tactical Action: Format is totally different: <append xpath="/lootcontainers/lootgroup[@name='groupAmmoRegularGunslingerT1']"> <EDIT: UPDATE!> I didn't want to do this but... I've dived in and found that Valmars & Tactical Action work fine together and alone. So it must be one of the 60 something other mods. Sorry about that.
  6. Okay! I was thinking of 'moving'/'changing' Valmars cause its a 'modlet' and not as massive as TA. Do you know the maximum ID# for loot list? Wait a minute... It says: "No loot entry defined for loot list ID 456" - after moving all +50. So for some reason it would seem that its not reading that part? It looks fine in Notepadd++ with all the normal coloring. I did loot list, and it gave the same 400 error, then I found it in Blocks and then it changed to the new starting point at 450. Weird. Every "Class suitcase" that is locked does not have a LootList ID in the blocks xml. It doesn't give an error when I put down the locked ones. But it does error when I put down an unlocked one.
  7. Hey Hey! Ugg... Got a tonne of mods that work fine with virtually all of Valmars. Just tried adding TacticalAction by IvanDX it kills the Valmars Starter Class system and makes it so you can't open the cases after unlocking the suitcase. <EDIT> I'll put a suitcase down and when I use the key on it it gives: ERR: No loot entry defined for loot list id 400 or which ever case is put down. But all items are in the creative menu. Just can't open them.
  8. 2021-06-18T10:20:22 54.503 WRN XML patch for "loot.xml" from mod "Snowberry Seeds" did not apply: <append xpath="/lootcontainers/lootgroup[@name='farmingCookingRecipes']" 2021-06-18T10:20:22 54.713 ERR XML loader: Loading and parsing 'loot.xml' failed
  9. No - fairly annoying though. Although I found something Interesting. In the resources subfolder there is an: "alt" file with no extension. It seems like it's supposed to be "alt.unity3d" file. <EDIT> Looks like the server don't want to load the 'alt' file. Even if I rename it to alt.unity3d it still looks for that 'alt' file. Although it works fine in Single Player. <Edit: Update> It kills Valmars STARTER CLASS SYSTEM
  10. Snowberry's broken, can anyone help?
  11. Yeah, back in the day some people ran 32k maps. One guy said he had a 48k map - unverified. With my group anything over 16k was too much; but 16k was the sweet spot. Then the lag happened and everything changed. I'm sure that was alpha 16 to 16.4 or around there; when Nitrogen first came out.
  12. COOL!!! Definitely as you've noted... I seem to remember that TFP hard coded the 16k limit, unless you made a map with Nitrogen. Anyway if you look closer at the cities before and after - you'll also notice that total lootable area has dropped massively. I haven't looked at the numbers but I've guesstimated that it's above 25% to upwards of 40% There is a definite noticeable drop in sky scrapers too. I miss the old time - city at 0-0 cause you didn't venture in there till you got some serious levels and stuff! And you did get serious stuff for going there too! lol Oh well. Thanks for adding the 12k option!
  13. Yes a lot of your issues are directly related to the big POI's and what was found sometime ago with large numbers of spawn points - especially when you go into townes. Reducing the numbers of large buildings can help but that's a bit of work. Vanilla will generally not do this as that's been a part of the 'fix' TFP has made to address the lag issue, and again especially in townes. I've never used the server command to clean the garbage: 'mem' and 'memcl' - so I don't know if that'll help. I do know that using the visitmap command does help some since you're telling the server to generate the map, thereby reducing any workload it needs to do at any given time. Map size divided by 2 so for 8k: visitmap -4096 -4096 4096 4096 Please note it will take sometime to do this but, I do it every time before I allow anyone on the map. You'll have all that data in the log and if there are any 'broken chunks' you can use the "repairchunkdensity <x> <z> [fix]" command found HERE. But I haven't had to do that in a long while. Something that may or maynot help is to add another ssd to the server and set the swap file (8 to maybe 16GB) to that ssd. I have a feeling that your 'new zombie mods' are at the heart of your issues; so removing that one mod may help things more than anything else.
  14. In one of the alpha's we got serious studdering and a massive FPS drop. I think that was in part due to the fact that back then the worlds where limitless. I think then TFP found some of the issues due to world size numbers of spawns and supported was limited 16K maps. If you look back you'll also see that shortly afterwards an Island format was taken - that further reduced map size, number of towns and more importantly to the player - playable size. Back when there was a towne at 0, 0 towns where huge. Then with adding things and changing things I think it'll drop again. But with the island format towns haven't been that big. I've seen a few reach 18k citizens before that but now it rarely reaches 12K now-a-days. Since 'we've' (8 other players) been playing I've found that for a 'wide range' of systems 16K can be too much; and even for rented Dedi's. And that's why I've been making worlds at 12K for our servers. As 'we' rarely have any FPS drops with them, but with 16K maps some of us do, including studdering and lag too.
×
×
  • Create New...